<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.RfidInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.RfidInfo">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="rfid" property="rfid" />
        <result column="order_pack" property="orderPack" />
        <result column="production_batch" property="productionBatch" />
        <result column="uniquecode" property="uniquecode" />
        <result column="manufacturer" property="manufacturer" />
        <result column="tag_type" property="tagType" />
        <result column="supplier" property="supplier" />
        <result column="category" property="category" />
        <result column="norms" property="norms" />
        <result column="isused" property="isused" />
        <result column="sn_code" property="snCode" />
        <result column="sense_length" property="senseLength" />
        <result column="scan_length" property="scanLength" />
        <result column="paper_length" property="paperLength" />
        <result column="district_id" property="districtId" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="paper_count" property="paperCount" />
        <result column="paper_surplus" property="paperSurplus" />
        <result column="eliminat_flag" property="eliminatFlag" />
        <result column="assignment_flag" property="assignmentFlag" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, rfid, order_pack, production_batch, uniquecode, manufacturer, tag_type, supplier, category, norms, isused, sn_code, sense_length, scan_length, paper_length, district_id, property_id, agent_id, paper_count, paper_surplus, eliminat_flag, assignment_flag
    </sql>

</mapper>
